diff --git a/build_no_dpkg_env.sh b/build_no_dpkg_env.sh
index 490780c..deb1186 100755
--- a/build_no_dpkg_env.sh
+++ b/build_no_dpkg_env.sh
@@ -19,7 +19,7 @@ autoreconf
 export LDFLAGS="-L/usr/lib/libgfx -lm -ldl -lpthread"
 
 #DOVE=1, MMP2=2
-./configure --prefix=/usr CFLAGS="-O0 -Wall -g -DMRVL_SUPPORT_RANDR=1 -DMRVL_SUPPORT_EXA=1 -DDUMP_RAW_VIDEO=0 -DMRVL_USE_OFFSCREEN_HEAP=0 -DMRVL_EXA_MODE=2 -DMRVL_EXA_ENABLE_UP_DOWNLOAD=2 -DMRVL_EXA_FORCE_HW_LOAD=0 -DMRVL_EXA_ALLOC_PIXMAP_FROM_SYSTEM=0 -DMRVL_EXA_PERF_PROFILING=0 -DMRVL_EXA_TRACE_FALLBACK=0 -DMRVL_EXA_XBGR_SUPPORT=1 -DMRVL_XV_SUPPORT_RGB_FORMAT=1 -DMRVL_XV_TEX_VIDEO=2 -DMRVL_XV_OVERLAY_VIDEO=0 -DMRVL_XV_DEFERRED_STALL_GPU=1 -DMRVL_XV_USE_FAKE_FENCE_STALL=1 -DMRVL_RANDR_EDID_MODES=1  -DMRVL_CRTC_SUPPORT_ROTATION=1 -DMRVL_PLATFORM_INFO=2"
+./configure --prefix=/usr CFLAGS="-O0 -Wall -g -DMRVL_SUPPORT_RANDR=1 -DMRVL_SUPPORT_EXA=1 -DDUMP_RAW_VIDEO=0 -DMRVL_USE_OFFSCREEN_HEAP=0 -DMRVL_EXA_MODE=2 -DMRVL_EXA_ENABLE_UP_DOWNLOAD=0 -DMRVL_EXA_FORCE_HW_LOAD=0 -DMRVL_EXA_ALLOC_PIXMAP_FROM_SYSTEM=0 -DMRVL_EXA_PERF_PROFILING=0 -DMRVL_EXA_TRACE_FALLBACK=0 -DMRVL_EXA_XBGR_SUPPORT=1 -DMRVL_XV_SUPPORT_RGB_FORMAT=1 -DMRVL_XV_TEX_VIDEO=1 -DMRVL_XV_OVERLAY_VIDEO=0 -DMRVL_XV_DEFERRED_STALL_GPU=1 -DMRVL_XV_USE_FAKE_FENCE_STALL=1 -DMRVL_RANDR_EDID_MODES=1  -DMRVL_CRTC_SUPPORT_ROTATION=1 -DMRVL_PLATFORM_INFO=2"
 
 make
 
diff --git a/src/dovefb.c b/src/dovefb.c
index 78a5b5a..e4371b7 100644
--- a/src/dovefb.c
+++ b/src/dovefb.c
@@ -17,7 +17,7 @@
 #include "xf86_OSproc.h"
 
 #include "mipointer.h"
-#include "mibstore.h"
+//#include "mibstore.h"
 #include "micmap.h"
 #include "colormapst.h"
 #include "xf86cmap.h"
@@ -1505,7 +1505,6 @@ FBDevScreenInit(SCREEN_INIT_ARGS_DECL)
 	}
 
 	xf86SetBlackWhitePixels(pScreen);
-	miInitializeBackingStore(pScreen);
 	xf86SetBackingStore(pScreen);
 
     if (fPtr->UseGPU)
diff --git a/src/dovefb_driver.h b/src/dovefb_driver.h
index 4e4dd0e..55a1077 100644
--- a/src/dovefb_driver.h
+++ b/src/dovefb_driver.h
@@ -18,7 +18,7 @@
 
 #include "mipointer.h"
 #include "micmap.h"
-#include "mibstore.h"
+//#include "mibstore.h"
 
 #include "colormapst.h"
 #include "xf86cmap.h"
diff --git a/src/dovefb_xv.c b/src/dovefb_xv.c
index 461c219..947b675 100644
--- a/src/dovefb_xv.c
+++ b/src/dovefb_xv.c
@@ -10,7 +10,7 @@
 #include "xf86.h"
 #include "xf86_OSproc.h"
 #include "mipointer.h"
-#include "mibstore.h"
+//#include "mibstore.h"
 #include "micmap.h"
 #include "colormapst.h"
 #include "xf86cmap.h"
